#---------BIBLIOTHEQUES/MODULES---------
import folium
import webbrowser

#----------PROGRAMME PRINCIPAL----------
# Coordonnées GPS du point central de la carte BELVEDERE DE ROZ SUR COUESNON
lieu = [48.590493, -1.591013]
# Création d'une carte
carte= folium.Map(location=lieu,zoom_start=11)

# Ajout marqueur avec légende, couleur
folium.Marker(
    location=lieu,
    popup='BELVEDERE DE ROZ SUR COUESNON',
    icon=folium.Icon(color='green')
    ).add_to(carte)

# Cercle de confinement en mètres (radius = 1000 pour 1 km)
folium.Circle(lieu,radius = 1000, fill=True, color='red', attr='zone 1 km' ).add_to(carte)
folium.Circle(lieu,radius = 5000, fill=True, color='orange', attr='zone 5 km'  ).add_to(carte)
folium.Circle(lieu,radius = 8000, fill=True, color='green', attr='zone 8 km'  ).add_to(carte)

# enregistrement et affichage de la carte
carte.save('EXO5.html')
webbrowser.open('EXO5.html')